JF Meier JF Meier - 6 months ago 22
Java Question

jQAssistant heap problems - set java version explicitly

I installed jQAssistant, set the JQASSISTANT_OPTS variable to -Xmx1024M -XX:MaxPermSize=512m as recommended and then get (when starting jqassistant.cmd):

Error occurred during initialization of VM
Could not reserve enough space for object heap
Error: Could not create the Java Virtual Machine.
Error: A fatal exception has occurred. Program will exit.

I guess that jQAssistant is running on the wrong version of Java. Does anyone no how to determine or change the Java version? Or is there any other reason behind this?


Just run

> set PATH

on the command line prompt. You'll see output like the following containing the path to the Java installation that is used when running jqassistant.cmd:

`Path=C:\ProgramData\Oracle\Java\javapath;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;C:\Windows\System32\WindowsPowerShell\v1.0\;C:\Program Files\Git\cmd;C:\Program Files (x86)\GNU\GnuPG\pub;C:\Program Files (x86)\PuTTY;C:\Development\apache-maven-3.3.9\bin;C:\Program Files\Java\jdk1.8.0_77\bin;C:\Program Files (x86)\Skype\Phone\;C:\Program Files\TortoiseGit\bin;C:\Development\jruby-\bin`

(the relevant part in this case is "C:\Program Files\Java\jdk1.8.0_77\bin").

You can verify this by running:

> java -version
java version "1.8.0_77"
Java(TM) SE Runtime Environment (build 1.8.0_77-b03)
Java HotSpot(TM) 64-Bit Server VM (build 25.77-b03, mixed mode)

Usually the given parameters should work on all Oracle JVMs even if 1.8 releases will issue a warning about the no longer supported MaxPermSize parameter.

Can you provide an information what is running on your machine?